Bug 111330 - perl commands do not work in vim-enhanced
Summary: perl commands do not work in vim-enhanced
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-02 07:46 UTC by Colin Kuskie
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 11:05:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Colin Kuskie 2003-12-02 07:46:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Attempts to execute perl commands in vim-enhanced silently fail and do
nothing.  i.e.:

:.perldo tr/a-z/A-Z/;
:.perldo s/foo/bar/;

I've tried uninstalling and re-installing the package, which often
fixed this problem in previous versions, but when it failed then it
would say that the perl (or perldo) command wasn't recognized.

Version-Release number of selected component (if applicable):
vim-enhanced-6.2.121-1

How reproducible:
Always

Steps to Reproduce:
1.see above
2.
3.
    

Additional info:

Comment 1 Colin Kuskie 2003-12-02 07:49:20 UTC
Same behavior in gvim.

Comment 2 Karsten Hopp 2003-12-02 15:05:10 UTC
Ffrom the upstream vim changelog: 
Patch 6.1.438 
Problem:    When Perl has thread support Vim cannot use the Perl 
interface. 
Solution:   Add a configure check and disable Perl when it will not 
work. 
           
However, I've built a version with perl interface in Fedora 
Core/development. Can you please download it and test it, as I've 
never used this interface before (:.perldo tr/a-z/A-Z/; works). 
Please reopen this bugreport if there any problems with the perl 
interface. 
 
The fixed version is 6.2.154-3 

Comment 3 Colin Kuskie 2003-12-02 23:53:55 UTC
Freshened the new RPMs from RawHide and still have the same problem.  Do I need the 
perl from RawHide as well? 
 
 

Comment 4 Colin Kuskie 2003-12-03 05:53:36 UTC
Check that, I can't seem to find the -3 RPMs.  I found and installed
-2 RPMs from here:

ftp://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS

which of course don't have the problem fixed. Would you please send me
a URL for finding the -3 RPMs?

Comment 5 Karsten Hopp 2003-12-03 11:05:04 UTC
I've copied the packages to http://people.redhat.com/karsten/ for 
you. 


Note You need to log in before you can comment on or make changes to this bug.